// test.cpp - cumpleaños
#include <iostream>
#include "fecha.h"
#include "cumple.h"
using namespace std;

void visualizar(const CCumpleanyos&);

int main()
{
  char nombre[80];
  int dia, mes, anyo;
  long telefono;

  CCumpleanyos p1("Francisco", 25, 8, 1982, 666777888);
  visualizar( p1 );

  CCumpleanyos p2;

  cout << "Nombre:    ";
  cin.getline ( nombre, 80, '\n' );
  p2.asignarNombre( nombre );

  cout << "Fecha de nacimiento\n";
  cout << "día: "; cin >> dia;
  cout << "mes: "; cin >> mes;
  cout << "año: "; cin >> anyo;
  CFecha fecha(dia, mes, anyo);
  p2.fechaNacimiento() = fecha;

  cout << "Teléfono: ";
  cin >> telefono;
  p2.asignarTelefono(telefono);
/*
  char *pnombre = p2.obtenerNombre(); // pnombre = nombre
  strcpy(pnombre, "hola");
*/
/*
  CFecha& fn = p2.fechaNacimiento(); // f = fecha_nacimiento
  fn.asignarFecha(1, 1, 2020);
*/
  visualizar(p2);
}

// Visualizar un objeto
void visualizar(const CCumpleanyos& persona)
{
  int dia, mes, anyo;
  char nombre[80];
  persona.fechaNacimiento().obtenerFecha(dia, mes, anyo);
  cout << persona.obtenerNombre(nombre) << endl
       << dia << "/" << mes << "/" << anyo << endl
       << persona.obtenerTelefono() << endl;
}
